#!/usr/bin/gnuplot

M_S = 1.989e30
M_E = 5.972e24
au = 1.496e11

tm0(m) = 0.3 / (m/M_S*2.e33/6.e27)
rc0 = 1.10*au
dadt0(a,m,rc) = -sgn(a-rc)*((a-rc)/au)**2/(tm0(m)*1e6)

tm1(m) = 3.0 / (m/M_S*2.e33/6.e27)
rc1 = 0.00*au
dadt1(a,m,rc) = -sgn(a-rc)*((a-rc)/au)**2/(tm1(m)*1e6)

tm2(m) = 0.0
rc2 = 1.10*au
dadt2(a,m,rc) = 0.0

set xl "r [au]"
set yl "m [M_E]"
set zl "da/dt [au yr^-1]"

set xr [0.2:2.0]
set yr [0.05:1.0]
tmp=2e-6
set zr [-tmp:tmp]

set xyplane 0.0
set view 90,0

sp \
  dadt0(x*au,y*M_E,rc0) w l,\
  dadt1(x*au,y*M_E,rc1) w l,\
  dadt2(x*au,y*M_E,rc2) w l,\
  0.0 w l lt 0

pa -1

set term png small
set out "dadt.png"
rep

q

